Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.able.rules
Class AblePredicateQuery

    java.lang.Object
      com.ibm.able.rules.AblePredicateQuery

All Implemented Interfaces:
  java.io.Serializable

public class AblePredicateQuery
extends java.lang.Object
implements java.io.Serializable

See Also:
  Serialized Form

Field Summary
`protected int` | `myId`
`protected java.util.Vector` | `predicates`
`protected java.util.Vector` | `selectorList`
`protected java.util.Vector` | `variables`

Constructor Summary
`AblePredicateQuery()` Create a query object
`AblePredicateQuery(AblePredicate goalClause)` create a query object over a single predicate
`AblePredicateQuery(java.util.Vector goalClauses)` Create a compound query object (with multiple predicates)

Method Summary
`protected java.lang.String` | `arlString()`
`java.util.Vector` | `getPredicates()`
`java.lang.String` | `toString()`
`java.lang.String` | `traceString(int theTraceStringFlavor)` Retrieve a string describing (the contents of) the object.
`protected java.lang.String` | `xmlString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### myId

    protected int myId

### predicates

    protected java.util.Vector predicates

### selectorList

    protected java.util.Vector selectorList

### variables

    protected java.util.Vector variables

Constructor Detail

### AblePredicateQuery

    public AblePredicateQuery()

  Create a query object

### AblePredicateQuery

    public AblePredicateQuery(AblePredicate goalClause)

  create a query object over a single predicate

### AblePredicateQuery

    public AblePredicateQuery(java.util.Vector goalClauses)

  Create a compound query object (with multiple predicates)

Method Detail

### getPredicates

    public java.util.Vector getPredicates()

### toString

    public java.lang.String toString()

### arlString

    protected java.lang.String arlString()

### xmlString

    protected java.lang.String xmlString()

### traceString

    public java.lang.String traceString(int theTraceStringFlavor)

  Retrieve a string describing (the contents of) the object.

  Parameters:
    `theTraceStringFlavor` - An Able.TraceStringFlavor value.

  Returns:
    A String containing the current contents of the object.

Overview | Package | Class | Use | Tree | Serialized | Deprecated | Index | Help
| ABLE 2.3.0 07/13/2005 14:21:00
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(C) Copyright IBM Corporation 1999, 2005